summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 19:46:30 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 19:46:30 +0200
commit5cd991c2e598d439026f6ca12a3c3428eb65c158 (patch)
tree5b7729658d674ad49d08114f5dd3daf200755014 /system
parent010bed7991ab9cd5de345c89e8e0e2b0419cf9df (diff)
downloadslackbuilds-5cd991c2e598d439026f6ca12a3c3428eb65c158.tar.gz
slackbuilds-5cd991c2e598d439026f6ca12a3c3428eb65c158.tar.xz
system/iscan: Updated for version 2.10.0
Diffstat (limited to 'system')
-rw-r--r--system/iscan/README12
-rw-r--r--system/iscan/doinst.sh2
-rw-r--r--system/iscan/iscan.SlackBuild51
-rw-r--r--system/iscan/iscan.info12
-rw-r--r--system/iscan/slack-desc8
5 files changed, 49 insertions, 36 deletions
diff --git a/system/iscan/README b/system/iscan/README
index 69f311ab3a..de3225f305 100644
--- a/system/iscan/README
+++ b/system/iscan/README
@@ -7,12 +7,10 @@ License, GNU Lesser General Public License, and the
EPSON AVASYS PUBLIC LICENSE. Please see the README file
for more information.
-You will need to add support for the new sane backend to your
-/etc/sane.d/dll.conf file after installing this package:
-Add the following line to the file:
+You will need to add support for the new sane backend
+to your /etc/sane.d/dll.conf file after installing this
+package. Add the following line to the file:
epkowa
-See the README file installed with the program's documentation
-(in /usr/doc/iscan-$VERSION/) for information on how to
-register iscan as a gimp plugin.
-
+Please see the README file for information on how to
+register Iscan as a gimp plugin.
diff --git a/system/iscan/doinst.sh b/system/iscan/doinst.sh
index 98d466d8b9..5dc6bb58c0 100644
--- a/system/iscan/doinst.sh
+++ b/system/iscan/doinst.sh
@@ -1,3 +1,3 @@
if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+ usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/system/iscan/iscan.SlackBuild b/system/iscan/iscan.SlackBuild
index 832495abca..656caf72f7 100644
--- a/system/iscan/iscan.SlackBuild
+++ b/system/iscan/iscan.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Iscan
-# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,23 +22,18 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit 1
-fi
-
PRGNAM=iscan
-VERSION=2.6.0
+VERSION=2.10.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="ABOUT-NLS AUTHORS ChangeLog COPYING COPYING.LIB \
- INSTALL NEWS README non-free/EAPL.en.txt"
+DOCS="ABOUT-NLS AUTHORS ChangeLog COPYING* INSTALL NEWS README non-free/EAPL.en.txt"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -50,27 +45,36 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION-0.c2.tar.* || exit 1
+tar xvf $CWD/${PRGNAM}_$VERSION-1.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+# This program will not build unless static is enabled.
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --enable-shared=yes \
+ --enable-static=yes \
|| exit 1
make || exit 1
make install-strip DESTDIR=$PKG || exit 1
-# Include files that are needed for Iscan to work properly:
-mkdir -p $PKG/etc/{hotplug/usb,sane.d}
-cp -a utils/hotplug/* $PKG/etc/hotplug/usb
-cp -a backend/epkowa.conf $PKG/etc/sane.d
+# Add configuration file:
+mkdir -p $PKG/etc/sane.d
+install -m 0644 backend/epkowa.conf $PKG/etc/sane.d || exit 1
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -78,18 +82,21 @@ cp -a backend/epkowa.conf $PKG/etc/sane.d
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-# Remove empty directory:
-rm -rf $PKG/usr/include
+( cd $PKG
+ find . -type d -depth -exec rmdir {} \; 2>/dev/null
+ find . -type f -size 0c -exec rm {} \; 2>/dev/null
+)
mkdir -p $PKG/install
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
-mkdir -p $PKG/usr/share/applications
-cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-
cd $PKG
/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/iscan/iscan.info b/system/iscan/iscan.info
index 6154a1e1c8..c6dc3a3224 100644
--- a/system/iscan/iscan.info
+++ b/system/iscan/iscan.info
@@ -1,8 +1,8 @@
PRGNAM="iscan"
-VERSION="2.6.0"
+VERSION="2.10.0"
HOMEPAGE="http://www.avasys.jp/english/linux_e/"
-DOWNLOAD="http://lx1.avasys.jp/iscan/2.6.0/iscan-2.6.0-0.c2.tar.gz"
-MD5SUM="8e2631c013eae259abb3e514bbda19e4"
-MAINTAINER="MagicMan"
-EMAIL="MagicMan07@bluebottle.com"
-APPROVED="BP{k}"
+DOWNLOAD="http://lx1.avasys.jp/iscan/2.10.0/iscan_2.10.0-1.tar.gz"
+MD5SUM="8e44dac50f51b4c0a2f2e60624edfedb"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="David Somero"
diff --git a/system/iscan/slack-desc b/system/iscan/slack-desc
index 62a6ee76d9..73c68bf054 100644
--- a/system/iscan/slack-desc
+++ b/system/iscan/slack-desc
@@ -1,3 +1,11 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
iscan: Iscan (Image Scan! for Linux)
iscan:
iscan: "Image Scan! for Linux" is a scanner utility that makes